
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Nginx 和 IIS 实现动静分离【转载】 / 憋错料</title>

    <meta name="description" content="Nginx 和 IIS 实现动静分离【转载】 前段时间,搞Nginx+IIS的负载均衡,想了解的朋友,可以看这篇文章:&lt;nginx 和 IIS 实现负载均衡&gt;,然后也就顺便研究了Nginx + IIS 实现动静分离.所以,一起总结出来,与大家共同探讨. 动静分离,说白了,就是将网站静态资源(HTML,JavaScript,CSS,img等文件)与后台应用分开部署,提高用户访问静态代码的速度,降低对后台应用服务器的请求.后台应用服务器只负责动态数据请求. 优势:分担负载,减轻web服务器的压力,适用于大负载. 静态资源放置cdn, ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Nginx 和 IIS 实现动静分离【转载】</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>前段时间，搞Nginx+IIS的负载均衡，想了解的朋友，可以看这篇文章：《nginx 和 IIS 实现负载均衡》，然后也就顺便研究了Nginx + IIS 实现动静分离。所以，一起总结出来，与大家共同探讨。</p>
<p>动静分离，说白了，就是将网站静态资源（HTML，JavaScript，CSS，img等文件）与后台应用分开部署，提高用户访问静态代码的速度，降低对后台应用服务器的请求。后台应用服务器只负责动态数据请求。</p>
<p>优势：分担负载，减轻web服务器的压力，适用于大负载。</p>
<p>静态资源放置cdn，同时还可以通过配置缓存到客户浏览器中，这样极大减轻web服务器的压力。</p>
<p>劣势：网络环境不佳时，ajax回应很慢，导致页面出现空白，出错处理会不好看。</p>
<p>不利于网站SEO（搜索引擎优化） ，</p>
<p>增加了开发复杂度。</p>
<p>实现方案：动静分离的一种做法是将静态资源部署在nginx上，后台项目部署到Web应用服务器上，根据一定规则静态资源的请求全部请求nginx服务器，达到动静分离的目的。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDMucHN0YXRwLmNvbS9sYXJnZS9kM2QwMDA5OTNlMmVmOThlMGI0.jpg" /></p>
<p>配置：</p>
<p>1. 在location / {} 上方添加 ， nginx 的其他配置，请参考前一篇文章《nginx 和 IIS 实现负载均衡》。</p>
<pre>#静态资源缓存设置 location ~ .*\.(gif|jpg|jpeg|png|bmp|swf|ioc|rar|zip|txt|flv|mid|doc|ppt|pdf|xls|mp3|wma)$ { root static; #static文件夹在Nginx目录下没有，需创建，和conf文件夹同级 expires 30d; } location ~ .*\.(js|css)?$ { root static; expires 30d; }</pre>
<p>效果如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDMucHN0YXRwLmNvbS9sYXJnZS9kM2QwMDA5OTNlMzIxY2M3MWEy.jpg" /></p>
<p>2. 在Nginx 下 创建 static 目录，将图片，js, css 等文件 拷贝到该目录下</p>
<p>注意：最好，网站的原来静态文件目录最好还是保留，我的测试网站是asp.net mvc 删掉相关目录，网站启动会提示找不到相关目录,</p>
<p>保存，重启Nginx，访问http://localhost：10089，</p>
<p>转自：</p>
<p>Nginx 和 IIS 实现动静分离 - 今日头条(TouTiao.org)<br />http://www.toutiao.com/i6324414182506627585/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-12 12:54:56 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Nginx 和 IIS 实现动静分离【转载】的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/k0nwNP3.html" rel="bookmark">Nginx反向代理、动静分离、负载均衡及rewrite隐藏路径详解（Nginx Apache MySQL Redis）&ndash;第三部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Nginx反向代理.动静分离.负载均衡及rewrite隐藏路径详解 (Nginx Apache MySQL Redis) 楓城浪子原创,转载请标明出处! 更多技术博文请见个人博客:https://fengchenglangzi.000webhostapp.com 微信bh19890922 QQ445718526.490425557 三.Nginx动静分离及负载均衡 3.1 Nginx安装 请参考:https://fengchenglangzi.000webhostapp.com/?p=511 亦			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r0a8kPM.html" rel="bookmark">nginx反代后端动静分离 php会话保持使用memcached</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				nginx调度器: DR:172.18.11.111 ]# yum -y install nginx ]# systemctl start nginx php主机:部署phpwind程序.安装memcached RS1:172.18.11.112 RS2:172.18.11.113 ]# yum -y install php ]# systemctl start php ]# yum -y install memcached ]# yum -y install libmemcached ]# y			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38wddZ0.html" rel="bookmark">nginx反向代理（动静分离）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用反向代理(动静分离)可以让nginx专注静态内容,把动态请求交给apache来处理,发挥各自的优势,而且整个架构更加清晰: 这里假设你已经搭建好了nginx环境; 为了简单起见,就不用源码编译安装了,直接使用apt方式安装,不影响说明: apt-get install apache2 -y apt-get install libapache2-mod-php7.0 #php版本随意 修改apache的配置文件,首先端口不能跟nginx重复: 采用apt方式安装的apache需要改如下两个配置			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPJzr13.html" rel="bookmark">使用nginx作为代理实现动静分离</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				客户端访问http://bbs.upl.com --&gt; 解析到 nginx_proxy 172.16.2.8 nginx_proxy作为反向代理,实现动静分离:    如果是已知的静态页面请求: 调度给squid             图片,文本.txt,.html,.htm,客户端代码文件.js,.css 其他未知的请求(包括php)调度给lnmp节点 nginx_proxy 使用宿主机    br0    172.16.2.8    &lt;---模拟连接到公网    virbr1    19			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXZWok3.html" rel="bookmark">nginx&plus;tomcat负载均衡&plus;动静分离</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.服务器A安装ng,服务器B.C安装tomcat: 2.服务器A建立/data/www目录,用于发布静态文件: 3.ng无动静分离配置: user root root; worker_processes 8; pid /usr/local/nginx/nginx.pid; worker_rlimit_nofile 102400; events { use epoll; worker_connections 102400; } http { include mime.types; default			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QvwnNM.html" rel="bookmark">Nginx缓存和程序动静分离设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.配置Nginx缓存. 参考:http://nginx.org/en/docs/http/ngx_http_proxy_module.html#proxy_cache_path 语法 proxy_cache_path path [levels=levels] keys_zone=name:size [inactive=time] [max_size=size] [loader_files=number] [loader_sleep=time] [loader_threshold=time];			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KK1kL0.html" rel="bookmark">haproxy&plus;nginx&plus;tomcat&plus;memcache实现动静分离、会话同步集群</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.实验说明 haproxy在前端做负载均衡调度,后端实现动静分离 静态资源server为nginx 动态内容使用nginx&amp;tomcat做app server,集成于单机,两台 使用两台memcache服务器做高可用session缓存,实现app server宕机时会话不中断 以上组合使用实现业务.session.session缓存均为高可用的集群. 二.实验准备 haproxy server:192.168.0.168 nginx server(静态):192.168.0.68 nginx+			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLo5Jk4.html" rel="bookmark">Nginx的应用之动静分离</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Nginx 的动静分离 我们通过中间件将动态请求和静态请求进行分离,减少了不必要的请求消耗和延时. 动静分离后,即使动态服务不可用,但静态资源不会受到影响. 应用实例 1.准备环境 系统 角色 主机名 IP 服务 CentOS 7.2 反向代理 Nginx_Proxy 192.168.1.10 Nginx:v1.16.1 CentOS 7.2 静态资源 Nginx_Static 192.168.1.11 Nginx:v1.16.1 CentOS 7.2 动态资源 Tomcat_Server 19			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWmVRL3.html" rel="bookmark">nginx四层负载及动静分离</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云实验10.0.0.132 LB10.0.0.133 web0110.0.0.134 web02 步骤:1.安装nginx1.14 获取官网repo文件 yum install -y nginx 2.配置文件,web服务器都是一样的 [[email protected] conf.d]# cat www.conf server { listen 80; server_name ali.xiao.com; location / { root /code/ali; index index.htm			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMz7YO0.html" rel="bookmark" class="title">hive sql split 分隔符</a>
					<div>
						Hive字符串分割函数 split(str, regex) - Splits str around occurances that match regexTime taken: 0.769 secon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OaYRZM.html" rel="bookmark" class="title">Docker下搭建mysql数据库</a>
					<div>
						1.获取官方镜像: [[email protected] mysql]# docker pull mysql/mysql-server:latest latest: Pulling from mysq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47D1qRM.html" rel="bookmark" class="title">循环语句  ，for语句</a>
					<div>
						for语句主要用来反复执行某段代码: for(初始条件:循环条件:状态改变) { 循环体 } 问题类型: 1.穷举(例:0-100以内与7有关的数) &lt;body&gt;&lt;input typ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qpBE3.html" rel="bookmark" class="title">挝售士孔廊ionl43irj</a>
					<div>
						可谓是从根本上治愈患者,而不是西医,哪里坏了治疗哪里,甚至西医还讲究哪里坏了就开刀割掉哪里,或者换掉哪里.&quot;假的吧!&quot;杜晨行针又与一般的中医不同,一般中医都是一针一针的下,采用旋转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvYvl3.html" rel="bookmark" class="title">Android之Sqlite数据库</a>
					<div>
						数据库访问完毕后,游标必须也记得关闭 import com.huangzhong.love_power_model.UserInfoDto; import java.util.ArrayList; i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NaZgw3.html" rel="bookmark" class="title">SQL Server 2012中快速插入批量数据的示例及疑惑</a>
					<div>
						SQL Server 2008中SQL应用系列--目录索引 今天在做一个案例演示时,在SQL Server 2012中使用Insert语句插入1万条数据,结果遇到了一个奇怪的现象,现将过程分享出来,以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xvewQ4.html" rel="bookmark" class="title">函数式编程----内建函数</a>
					<div>
						Python内建了map() reduce() filter()函数. 我们先看map.map()函数接收两个参数,一个是函数,一个是序列,map将传入的函数依次作用到序列的每个元素,并把结果作为新的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLPLxkM.html" rel="bookmark" class="title">【未完】Gearman分布式处理，mysql队列详解</a>
					<div>
						参考文档: 1-Gearman分布式任务处理系统(七)问题研究与性能优化 http://blog.csdn.net/jiao_fuyou/article/details/16335857 2-Gear ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0228BA0.html" rel="bookmark" class="title">天下第一补原来是这件事</a>
					<div>
						能眠者可长寿 我国医学历来重视睡眠养生,认为“眠食二者为养生之要务”,“能眠者,能食,能长生”.清朝李渔&lt;笠翁文集&gt;中有云:“养生之诀,当以睡眠居先.睡能还精.养气.健脾益胃.壮骨强筋.” ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPvGvv3.html" rel="bookmark" class="title">SharePoint更改列表查看页面地址详细方法</a>
					<div>
						1.使用SharePoint Manager 2013工具 2.使用这个工具打开网站-Lists-找到要修改的列表-ContentTypes-项目-修改DispalyFormUrl属性.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qGYWPM.html" rel="bookmark" class="title">斯坦福ML公开课笔记15&mdash;隐含语义索引、神秘值分解、独立成分分析</a>
					<div>
						斯坦福ML公开课笔记15 我们在上一篇笔记中讲到了PCA(主成分分析). PCA是一种直接的降维方法.通过求解特征值与特征向量,并选取特征值较大的一些特征向量来达到降维的效果. 本文继续PCA的话题, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MobWND4.html" rel="bookmark" class="title">HDU 4008 Parent and son （数据结构）</a>
					<div>
						﻿﻿ 题意: 一颗结点数为(100,000)的树,最多询问100,000次.每次询问对两个结点X,Y,以X为根,Y的最小标号的孩子,Y的最小标号的后代. 思路:如果dfs n次那么时间复杂度无法承受, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qGJgpM.html" rel="bookmark" class="title">PHP中目录解析函数</a>
					<div>
						dirname(string path):给出一个包含有指向一个文件的全路径的字符串,本函数返回去掉文件名后的目录名. 斜线(/)和反斜线(\)都可以用作目录分隔符.在其它环境下是斜线(/). dir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPe1Bv0.html" rel="bookmark" class="title">线程学习--（八）queue</a>
					<div>
						http://www.cnblogs.com/sigm/p/6186401.html 一.ConcurrentLinkedQueue 是一个适用于高并发场景下的队列,通过无锁的方式,实现了高并发状态下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPX1JBM.html" rel="bookmark" class="title">【读书笔记】《推荐系统&lpar;recommender systems An introduction&rpar;》第七章 评估推荐系统</a>
					<div>
						基本思想:将数据分为训练集合和测试集合,用训练集合的数据训练模型,用测试集合的数据测试模型.训练集和测试集的划分,可以是按照时间的维度,也可以按照人群的维度. 存在风险:对于某些方法可能有偏向性. 用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bLGbL4.html" rel="bookmark" class="title">【研讨会现场】广州天嵌科技受邀参加2014年TI9月深圳研讨会</a>
					<div>
						金九银十的到来,TI公司也不甘寂寞了,在国庆前9月16日举办9月TI深圳研讨会.广州天嵌荣幸再次亲临现场,与TI公司及业内各界爱好者.高手一起探讨嵌入式新的处理和开发技术.广州天嵌在会上展示的主要产品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AxOjZ3.html" rel="bookmark" class="title">centos6 安装xtrabackup</a>
					<div>
						系统环境: [[email protected] src]# cat /etc/redhat-release  CentOS release 6.8 (Final) [[email protected ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41eYQJ4.html" rel="bookmark" class="title">以一个经纬度为中心计算出四个顶点</a>
					<div>
						public const double EARTH_RADIUS = 6378137.0;//地球半径(m) /// &lt;summary&gt; /// 以一个经纬度为中心计算出四个顶点 ///  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k2ynzM.html" rel="bookmark" class="title">C语言：结构体和联合体&lpar;共用体&rpar;</a>
					<div>
						结构体:struct 1.结构体变量的首地址能够被其最宽基本类型成员的大小所整除. 2.结构体每个成员相对于结构体首地址的偏移量(offset)都是成员的整数倍. 3.结构体的总大小为结构体最宽基本类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rp2Y9M.html" rel="bookmark" class="title">Microsoft Dynamics CRM 2011 面向Internet部署 &lpar;IFD&rpar; ADFS虚拟机环境搭建的步骤&lpar;CRM与ADFS装在同一台服务器上&rpar; 摘自网络</a>
					<div>
						1: 安装windows server 2008 R2 中文版 (过程略) 安装完成后设置机器名和IP地址, 本过程机器名 crm5dev,192.168.0.110 dns: 192.168.0.1 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
